///
pub struct Service {
  connection_broker: nats::asynk::Connection,
  queue_broker: String,
  k_secret: String,
  k_username: String,
}

impl std::fmt::Debug for Service {
  fn fmt(&self, f: &mut std::fmt::Formatter) -> std::fmt::Result {
    f.debug_struct("Service of api.kgon.identity").finish()
  }
}

impl Service {
  ///
  pub fn new(
    connection_broker: nats::asynk::Connection,
    queue_broker: String,
    k_secret: String,
    k_username: String,
  ) -> Service {
    Service {
      connection_broker,
      queue_broker,
      k_secret,
      k_username,
    }
  }

  pub async fn subscribe(&self) -> std::result::Result<(), std::boxed::Box<dyn std::error::Error>> {
    futures::try_join!().map(|_| ())
  }
}
